Name:           zaz
Version:        1.0.0
Release:        1%{?dist}
Summary:        A puzzle game where the player has to arrange balls in triplets

Group:          Amusements/Games
# Music released under CC-BY-SA
License:        GPLv3+ and CC-BY-SA
URL:            http://sourceforge.net/projects/zaz/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  mesa-libGL-devel
BuildRequires:  SDL_image-devel
BuildRequires:  libtheora-devel
BuildRequires:  libvorbis-devel
BuildRequires:  ftgl-devel  >= 2.1.3
BuildRequires:  gettext
BuildRequires:  desktop-file-utils
Requires:       gnu-free-mono-fonts
Requires:       gnu-free-sans-fonts
Requires:       oflb-dignas-handwriting-fonts


%description
Zaz is an arcade action puzzle game where the goal is to get rid of all 
incoming balls by rearranging their order and making triplets.

A 3D accelerator is needed for decent gameplay.


%prep
%setup -q

# Fix permissions
chmod 644 src/*.{cpp,h}


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Symlink system fonts
rm $RPM_BUILD_ROOT%{_datadir}/%{name}/FreeMonoBold.ttf
ln -s %{_datadir}/fonts/gnu-free/FreeMonoBold.ttf \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/FreeMonoBold.ttf
rm $RPM_BUILD_ROOT%{_datadir}/%{name}/FreeSans.ttf
ln -s %{_datadir}/fonts/gnu-free/FreeSans.ttf \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/FreeSans.ttf
rm $RPM_BUILD_ROOT%{_datadir}/%{name}/font1.ttf
ln -s %{_datadir}/fonts/oflb-dignas-handwriting/phranzysko_-_Digna_s_Handwriting.ttf \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/font1.ttf

# Remove docs
rm -r $RPM_BUILD_ROOT/usr/share/doc/

# Validate desktop file
desktop-file-validate \
   $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm
%doc AUTHORS ChangeLog COPYING data/copyright.txt


%changelog
* Sat Sep 04 2010 Andrea Musuruane <musuruan@gmail.com> 1.0.0-1
- Updated to upstream 1.0.0

* Thu Jul 22 2010 Andrea Musuruane <musuruan@gmail.com> 0.8.0-1
- Updated to upstream 0.8.0

* Sat May 08 2010 Andrea Musuruane <musuruan@gmail.com> 0.7.0-1
- Updated to upstream 0.7.0

* Thu Feb 25 2010 Andrea Musuruane <musuruan@gmail.com> 0.3.3-1
- Updated to upstream 0.3.3

* Tue Dec 22 2009 Andrea Musuruane <musuruan@gmail.com> 0.3.0-3
- Consistent use of macros
- Fixed typo

* Wed Dec 09 2009 Andrea Musuruane <musuruan@gmail.com> 0.3.0-2
- Now Requires renamed Digna font package (BZ #542461)

* Sun Nov 29 2009 Andrea Musuruane <musuruan@gmail.com> 0.3.0-1
- First release

